Bullet Collision Detection & Physics Library: CollectContactManifoldCachedInfoLoop Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
CollectContactManifoldCachedInfoLoop Struct Reference
Inheritance diagram for CollectContactManifoldCachedInfoLoop:
[legend]
Collaboration diagram for CollectContactManifoldCachedInfoLoop:
[legend]

## Public Member Functions
| CollectContactManifoldCachedInfoLoop (btSequentialImpulseConstraintSolverMt *solver, btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo *cachedInfoArray, btPersistentManifold **manifoldPtr, const btContactSolverInfo &infoGlobal)
void | forLoop (int iBegin, int iEnd) const BT_OVERRIDE
Public Member Functions inherited from btIParallelForBody
virtual | ~btIParallelForBody ()

## Public Attributes
btSequentialImpulseConstraintSolverMt * | m_solver
btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo * | m_cachedInfoArray
btPersistentManifold ** | m_manifoldPtr
const btContactSolverInfo * | m_infoGlobal

## Detailed Description

Definition at line 430 of file btSequentialImpulseConstraintSolverMt.cpp.

## Constructor & Destructor Documentation

## ◆ CollectContactManifoldCachedInfoLoop()

CollectContactManifoldCachedInfoLoop::CollectContactManifoldCachedInfoLoop | ( | btSequentialImpulseConstraintSolverMt * | solver,
|  | btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo * | cachedInfoArray,
|  | btPersistentManifold ** | manifoldPtr,
|  | const btContactSolverInfo & | infoGlobal
| ) |  |
| inline

Definition at line 437 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Function Documentation

## ◆ forLoop()

void CollectContactManifoldCachedInfoLoop::forLoop | ( | int | iBegin,
|  | int | iEnd
| ) |  | const
| inlinevirtual

Implements btIParallelForBody.

Definition at line 444 of file btSequentialImpulseConstraintSolverMt.cpp.

## Member Data Documentation

## ◆ m_cachedInfoArray

btSequentialImpulseConstraintSolverMt::btContactManifoldCachedInfo* CollectContactManifoldCachedInfoLoop::m_cachedInfoArray

Definition at line 433 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_infoGlobal

const btContactSolverInfo* CollectContactManifoldCachedInfoLoop::m_infoGlobal

Definition at line 435 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_manifoldPtr

btPersistentManifold** CollectContactManifoldCachedInfoLoop::m_manifoldPtr

Definition at line 434 of file btSequentialImpulseConstraintSolverMt.cpp.

## ◆ m_solver

btSequentialImpulseConstraintSolverMt* CollectContactManifoldCachedInfoLoop::m_solver

Definition at line 432 of file btSequentialImpulseConstraintSolverMt.cpp.

The documentation for this struct was generated from the following file:

- btSequentialImpulseConstraintSolverMt.cpp